<div class="content" >
    <div class="page-title" fxLayout="row">
        <mat-icon  class="material-icons md-24">group_add </mat-icon>
        <h2>NOMEAÇÃO</h2>
    </div>
    <mat-divider class="divider"></mat-divider>
    <mat-card class="ribbon-box bg-danger">
        <div class="ribbon ribbon-primary float-start"><h3 class="text-ribbon">IDENTIFICAÇÃO</h3></div>
        <div class="ribbon-content">
            <form [formGroup]="form" class="example-form" fxFlex="75" fxLayout="row wrap"  fxLayoutGap="5px grid">
                <mat-form-field appearance="outline" fxFlex="25" >
                    <mat-label>Matrícula</mat-label>
                    <input matInput placeholder="Ex: 202231255488" formControlName="matricula">
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="25" >
                    <mat-label>CPF</mat-label>
                    <input matInput placeholder="000.000.000-00" formControlName="cpf">
                </mat-form-field>
                <mat-form-field appearance="outline"  fxFlex="25">
                    <mat-label>Data de nascimento</mat-label> 
                    <input matInput placeholder="nascimento" formControlName="nascimento" />
                    </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="25" >
                    <mat-label>Sexo</mat-label>
                    <input matInput formControlName="sexo">
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="100" >
                    <mat-label>Nome Completo</mat-label>
                    <input matInput formControlName="nome">
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="50" >
                    <mat-label>Nome Mãe</mat-label>
                    <input matInput formControlName="nomeMae">
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="50" >
                    <mat-label>Nome Pai</mat-label>
                    <input matInput formControlName="nomePai">
                </mat-form-field>
            </form>
            <div class="profile-picture" fxFlex="25" >
                <img mat-card-xl-image src="https://www.focoeducacaoprofissional.com.br/imgs/no-photo-user.png" >
            </div>
        </div>          
    </mat-card>

    <mat-card class="ribbon-box">
        <div class="ribbon ribbon-primary float-start"><h3 class="text-ribbon">DADOS NOMEAÇÃO</h3></div>
        <div class="ribbon-content">
            <form [formGroup]="form_nomeacao" fxFlex="100" fxLayout="row wrap"  fxLayoutGap="5px grid">
                <mat-form-field appearance="outline" fxFlex="33.3">
                    <mat-label>Data Exercício</mat-label>
                    <input matInput [matDatepicker]="exercicio" formControlName="exercicio">
                    <mat-hint>DD/MM/AAAA</mat-hint>
                    <mat-datepicker-toggle matSuffix [for]="exercicio"></mat-datepicker-toggle>
                    <mat-datepicker #exercicio></mat-datepicker>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="33.3">
                    <mat-label>Data Posse</mat-label>
                    <input matInput [matDatepicker]="posse"  formControlName="posse">
                    <mat-hint>DD/MM/AAAA</mat-hint>
                    <mat-datepicker-toggle matSuffix [for]="posse"></mat-datepicker-toggle>
                    <mat-datepicker #posse></mat-datepicker>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="33.3">
                    <mat-label>Data Nomeação</mat-label>
                    <input matInput [matDatepicker]="nomeacao" formControlName="nomeacao">
                    <mat-hint>DD/MM/AAAA</mat-hint>
                    <mat-datepicker-toggle matSuffix [for]="nomeacao"></mat-datepicker-toggle>
                    <mat-datepicker #nomeacao></mat-datepicker>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="10">
                    <mat-label>Desconta IRPF</mat-label>
                    <mat-select  formControlName="descontaIRPF">
                      <mat-option value=True>Sim</mat-option>
                      <mat-option value=False>Não</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="30" >
                    <mat-label>Processo Administrativo</mat-label>
                    <input matInput formControlName="processoAdministrativo">
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="30">
                    <mat-label>Regime Jurídico</mat-label>
                    <mat-select  formControlName="regimeJuridico">
                      <mat-option value=1>TESTE</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="30">
                    <mat-label>Tipo de Vínculo</mat-label>
                    <mat-select  formControlName="tipoVinculo">
                        <mat-option value=1>TESTE</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="50"  *ngIf="cargos_array as cargos else loading">
                    <mat-label>Cargo</mat-label>
                    <mat-select >
                        <mat-option *ngFor="let cargo of cargos" value={{cargo.id}}>{{cargo.denominacao}}</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="50">
                    <mat-label>Nível Cargo</mat-label>
                    <mat-select  formControlName="nivelCargo">
                        <mat-option value=1>TESTE</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="33.3">
                    <mat-label>Função</mat-label>
                    <mat-select  formControlName="funcao">
                        <mat-option value=1>TESTE</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="33.3" *ngIf="unidadesOrganizacionais_array as uos else loading">
                <mat-label>Unidade Organizacional</mat-label>
                    <mat-select  formControlName="unidadeOrganizacional">
                        <mat-option *ngFor="let uo of uos" value={{uo.id}}>{{uo.pessoaJuridica.nome}}</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field appearance="outline" fxFlex="33.3">
                    <mat-label>Setor</mat-label>
                    <mat-select  formControlName="setor">
                        <mat-option value=1>TESTE</mat-option>  
                    </mat-select>
                </mat-form-field>
            </form>
        </div>
    </mat-card>
    <ng-template #loading>
        <h1>Carregando..</h1>
    </ng-template>
    <button mat-raised-button>Voltar</button>
    <button mat-raised-button color="primary" form="form_nomeacao" (click)="onSubmit()">
        Cadastrar
    </button>

